<div class="grid-x">
  <div class="cell large-offset-1 large-10">
    <div class="session-progress-filters" [class.activated]="workOnGrid">
      <div class="first-wrapper">
        <div class="session-progress-filters__name">
          <p
            class="bold pointer"
            (click)="workOnGrid = !workOnGrid; triggerGridActions.emit()"
          >
            {{ workOnGrid ? "Annulla" : "Modifica" }}
          </p>
        </div>
        <div class="session-progress-filters__pin"></div>
        <div class="session-progress-filters__progress">
          <p
            class="select-all-trigger m0 pointer"
            *ngIf="workOnGrid"
            (click)="sendAllSelected()"
          >
            {{ selectedAllUsers ? "Deseleziona tutti" : "Seleziona tutti" }}
          </p>
        </div>
      </div>
      <div class="second-wrapper" [class.gridTriggered]="workOnGrid">
        <div class="session-progress-filters__chapter">
          <div class="flex-container"></div>
          <img
            appFeedback
            [confirmTitle]="'Reset progress'"
            [confirmBody]="
              'Clicca continua per resettare i progress agli utenti selezionati'
            "
            (onClicked)="resetSelectedUsersProgress.emit()"
            id="restart"
            src="../../../../assets/img/ico_reset-all.svg"
            alt=""
          />
          <img
            appFeedback
            [confirmTitle]="'Riavvio capitolo'"
            [confirmBody]="
              'Clicca continua per riavviare il capitolo a tutti gli utenti selezionati'
            "
            (onClicked)="resetAll.emit(activeUsersChapters)"
            id="restart"
            src="../../../../assets/img/end.svg"
            alt=""
          />
        </div>
        <div
          class="session-progress-filters__choose-chapter"
          *ngIf="
            defaultSessionApp &&
            defaultSessionApp.chapters &&
            defaultSessionApp.chapters.length
          "
        >
          <!-- <label for="cars">Scegli capitolo:</label> -->
          <select
            required
            appFeedback
            [onlyOnChange]="true"
            [confirmTitle]="'Cambio capitolo'"
            [confirmBody]="'Clicca continua per cambiare il capitolo'"
            (onChanged)="onChangeSelect($event)"
            [(ngModel)]="selectedChapter.identifier"
            *ngIf="
              item &&
              item.status !== 'archived' &&
              defaultSessionApp &&
              defaultSessionApp.chapters.length
            "
            [(ngModel)]="selectedChapter.identifier"
          >
            <option
              class="select-placeholder"
              hidden
              value=""
              disabled
              selected
            >
              Scegli capitolo
            </option>
            <option
              [ngValue]="chapter.identifier"
              *ngFor="
                let chapter of defaultSessionApp.chapters;
                let index = index
              "
            >
              {{ chapter.identifier }}
            </option>
          </select>
          <!-- <app-pro-select
            [noBg]="true"
            [(model)]="selectedChapter"
            [modelParser]="selectCompanyParser"
            placeholder="Cambio Capitolo"
            [options]="defaultSessionApp.chapters"
          >
            <ng-template dbeProSelectOption let-item>
              <p
                appFeedback
                [confirmTitle]="'Cambio capitolo'"
                [confirmBody]="
                  'Clicca continua per cambiare il capitolo a tutti gli utenti'
                "
                (onClicked)="changeChapter.emit(item)"
                class="medium-bold list-select"
                style="margin-bottom: 0"
              >
                {{ item.identifier }}
              </p>
            </ng-template>
          </app-pro-select> -->
        </div>
        <div class="session-progress-filters__actions">
          <p (click)="removeSelectedUsers.emit($event)">rimuovi</p>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- OLD ONE -->
<!-- <div class="inner">
  <div class="grid-x">
    <div class="cell large-offset-1 large-10">
      <div class="grid-actions" [class.gridTriggered]="workOnGrid">
        <div class="grid-actions__trigger">
          <p
            class="bold pointer"
            (click)="workOnGrid = !workOnGrid; triggerGridActions.emit()"
          >
            {{ workOnGrid ? "Annulla" : "Modifica" }}
          </p>
          <p
            class="select-all-trigger"
            *ngIf="workOnGrid"
            (click)="sendAllSelected()"
          >
            {{ selectedAllUsers ? "Deseleziona tutti" : "Seleziona tutti" }}
          </p>
        </div>
        <div class="grid-actions__actions" [class.gridTriggered]="workOnGrid">
          <img (click)="resetAll.emit(activeUsersChapters)" id="restart" src="../../../../assets/img/end.svg" alt="" />
          <div
            class="dropdown"
            *ngIf="
              defaultSessionApp &&
                defaultSessionApp.chapters &&
                defaultSessionApp.chapters.length;
              else noChapters
            "
          >
            <p class="menu-text bold choose-chapter">Scegli capitolo</p>
            <div class="dropdown-content">
              <p
                (click)="changeChapter.emit(chap)"
                class="menu-text smaller"
                *ngFor="let chap of defaultSessionApp.chapters"
              >
                {{ chap.identifier }}
              </p>
            </div>
          </div>
          <ng-template #noChapters>
            <div class="dropdown">
              <p class="menu-text noChap">Nessun capitolo disponibile</p>
            </div>
          </ng-template>
          <div class="grid-actions__actions--placeholder">
            <p>Dettagli</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div> -->
